Paquetes rotos en Linux Mint

Anuncios



Solucion al problema:

"No se pudieron aplicar los cambios, arregle primero los paquetes rotos"

Posta, leí foros y foros y me pasé toda una noche tirando comandos que encontraba en estos foros, que lo único que hacían era empeorar las cosas. Así que hoy les traemos: Cómo solucionar el problema que dice "No se pudieron aplicar los cambios, arregle primero los paquetes rotos" en Linux Mint (y seguro también funciona en Ubuntu), otro súper How-To. (Sí, ahora estoy enamorado de Mint).



Es así de simple:


1)Abrir nuestro gestor de paquetes favorito Synaptic.

Seguramente todos hayan ido para este lado, pero en otro sentido. Claro, lo primero que hace uno es ir a ver qué paquetes rotos hay en Synaptic, pero se encuentran con que no hay paquetes rotos... y acá es donde abrimos los ojos, levantamos las cejas y nos preguntamos "What the fuck?". Y acá el secreto:

2)En el menú vertical de la izquierda, ir a "Filtros Personalizados".
3)Y acá, en vez de ir a "Rotos", vamos a "Actualizable (versión superior)".
4)Marcamos todo y aplicamos los cambios.



Se instalarán todas las actualizaciones y viviremos felices para siempre



Fuente: Posted by REYIYO
http://tuamigotetieneganas.blogspot.com/2010/09/paquetes-rotos-en-linux-mint.html?showComment=1306643742372#c3391760938879475713

Anuncios

3 comentarios - Paquetes rotos en Linux Mint

othopux +1
esta interesante la info y realmene te lo agradezco..pero te cuento que si haces esto lo que tendras es una version actualizada de Debian o de Ubuntu pero no de Linux Mint,... lo que en realidad soluciona el problema en Mint es utilizar el gestor de acualizacines ( mint update ) y desde ahi instalar las actualizaciones sugeridas. Luego teclear en consola

sudo apt get clean
sudo apt get purge
sudo apt get autoremove

Mil gracias
Muxender
Con esos codecs pude solucionar el problema de mis paquetes rotos. Te agradezco el aporte pese a haberse publicado hace dos años.
theProgrammer666
Mmm... Yo siempre lo hago así, pero el problema es que al usar el APT para cualquier cosa (instalar/desinstalar, actualizar, etc...) me dice que hay un problema con el APT porque no se configuró eog, evince, brasero y un montón de programas más. Ahora me doy cuenta que es porque cuando instalé GNOME 3, se eliminaron algunos componentes de GNOME 2 (en especial /usr/share/icons/gnome/) así que me bajé el código fuente del GNOME Icon Theme desde Launchpad, y restauré lo que me faltaba :3
Ahora va genial!